include	clib.inc
include	time.inc

PPROC	twtostr, string:DPTR, timew:word
	MLES	bx,string
	mov	cx,':'
	mov	ax,timew
	shr	ax,11
	and	ax,001Fh
	call	@putesbxal
	mov	es:[bx],cl
	inc	bx
	mov	ax,timew
	shr	ax,5
	and	ax,003Fh
	call	@putesbxal
	mov	es:[bx],cl
	inc	bx
	mov	ax,timew
	and	ax,001Fh
	shl	ax,1
	call	@putesbxal
	mov	es:[bx],ch
	mov	dx,es
	mov	ax,word ptr string
	ret
PEND	twtostr

	END
